i2p.susi.util

## Enum Folder.SortOrder

- java.lang.Object
- - java.lang.Enum<Folder.SortOrder>
  - - i2p.susi.util.Folder.SortOrder

- All Implemented Interfaces:
    Serializable, Comparable<Folder.SortOrder>
  Enclosing class:
    Folder<O>

      public static enum Folder.SortOrder
      extends Enum<Folder.SortOrder>

  Enumeration defining sort direction for folder elements.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `DOWN` lowest to highest
    `UP` reverse sort, highest to lowest

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Folder.SortOrder` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static Folder.SortOrder[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### DOWN

          public static final Folder.SortOrder DOWN

      lowest to highest

    - #### UP

          public static final Folder.SortOrder UP

      reverse sort, highest to lowest

  - ### Method Detail

    - #### valueOf

          public static Folder.SortOrder valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### values

          public static Folder.SortOrder[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Folder.SortOrder c : Folder.SortOrder.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared